commit:     47fb00f420059c1eb2e811c46a703b8b8c56ab80
Author:     Tobias Leupold <tobias.leupold <AT> gmx <DOT> de>
AuthorDate: Sat Oct 24 10:20:41 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Oct 27 07:35:30 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47fb00f4

app-misc/vcontrold: Added an ebuild for vcontrold 0.98.10

Signed-off-by: Tobias Leupold <tobias.leupold <AT> gmx.de>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-misc/vcontrold/Manifest                 |  1 +
 app-misc/vcontrold/vcontrold-0.98.10.ebuild | 43 +++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/app-misc/vcontrold/Manifest b/app-misc/vcontrold/Manifest
index 9f910995fba..75ab0dc437b 100644
--- a/app-misc/vcontrold/Manifest
+++ b/app-misc/vcontrold/Manifest
@@ -1,3 +1,4 @@
+DIST vcontrold-0.98.10.tar.gz 87721 BLAKE2B 
06111f534d137d08f0a66b00f1238dd04856c3a7dbe630baeed89667de2840cfa6d9227a899b3ce4819accccd8d2228ef7e31e9562e1bb21027a3ddd2fe2b148
 SHA512 
4e65c23edd2542323a2815154544c2a4376c35a49a52168d6a3a08dba68f462dbd9c0c43020f86a4cb6c4eb7736b5d9460c2e4e2a67c015e2e51841338547c55
 DIST vcontrold-0.98.5.tar.gz 86684 BLAKE2B 
07ed2c932b9f1c03410cbd6c23cfbfb7bf1aeaff027f597fb6f05a6b61c647f229a75b5a87d893a66c6b8e917595083d193c5da8585c6b9546d12c5867ca1a1b
 SHA512 
b94dbb09ffe274e0a0a0ac4948365ed3213f221dbc00ed2b2adec2ac5a632e293686d62a07575454b3d11b1b8e4e058625a067461996dd720c2f84066d57e60e
 DIST vcontrold-0.98.6.tar.gz 86999 BLAKE2B 
bb2933c166793a851fc9b3292cdf00228e0f5383ab6cfce66150383103e7c6b54661ef8c7f0bb177aecedef9f7ca7d3e64a20c1af106d45a6c5a1f2a32bdd971
 SHA512 
74c17dc83af456e9fbece44a00d775d6e474b1de76993da69f5cb897658be13a83ef2abc3fe75f571f1d52120e2ddade08079336a338af81eae8557b3b357481
 DIST vcontrold-0.98.8.tar.gz 87831 BLAKE2B 
cb6ac6771e087e355f909c63be480caf974632a2fc6378f6c7c461d2cd5d6f12fc0fc762a925d05af4f0ccc9252320009c3f8eee33cc026b5621ec8bcb531b72
 SHA512 
a3452735bc78ba4add991c03c263c1e59ae6ebfc4eb41f27136bd76c01745990b956dea17b489c6d4f088ec0d69d6f6215f2377baf78ee485e0b31642d4ae468

diff --git a/app-misc/vcontrold/vcontrold-0.98.10.ebuild 
b/app-misc/vcontrold/vcontrold-0.98.10.ebuild
new file mode 100644
index 00000000000..87e6097f057
--- /dev/null
+++ b/app-misc/vcontrold/vcontrold-0.98.10.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="Daemon for communication with Viessmann Vito heatings"
+HOMEPAGE="https://github.com/openv/vcontrold/";
+SRC_URI="https://github.com/openv/vcontrold/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+man +vclient vsim"
+
+RDEPEND="dev-libs/libxml2:2"
+DEPEND="${RDEPEND}
+       man? ( dev-python/docutils )"
+
+src_prepare() {
+       sed "s/@VERSION@/${PV}/" "src/version.h.in" \
+               > "src/version.h" || die "Setting version failed"
+
+       cmake_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DMANPAGES="$(usex man)"
+               -DVCLIENT="$(usex vclient)"
+               -DVSIM="$(usex vsim)"
+       )
+
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+       doinitd "${FILESDIR}/vcontrold"
+       insinto /etc/vcontrold/
+       doins -r xml
+}

Reply via email to